%define name perl-Mysql
%define version 1.22_11
%define release 1mdk

Summary: DBD Mysql perl Emulation Layer
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Databases
Source: ftp://ftp.perl.com/CPAN/modules/by-module/DBD/Msql-Mysql-modules-%{version}.tar.bz2
URL: http://www.tcx.se/
Icon: mysql.gif
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
Requires: perl, MySQL >= 3.22
BuildRequires: MySQL-devel >= 3.22

%description
DBD::mysql is an interface driver for connecting the DBMS independent
Perl-API DBI to the mysql DBMS. When you want to use mysql from
within perl, DBI and DBD::mysql are your best choice: Unlike "mysqlperl",
another option, this is based on a common standard, so your sources
will easily be portable to other DBMS's.


%prep
%setup -n Msql-Mysql-modules-%{version}
%build
perl Makefile.PL --noprompt --mysql-incdir=%{_prefix}/include/mysql --mysql-libdir=%{_prefix}/lib/mysql --mysql-install --nomsql-install --nomsql1-install
#perl -p -i -e 's/CR_SERVER_GONE_ERROR/SERVER_GONE_ERROR/g' dbd/myMsql.h
make CC='cc -DENGLISH'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/`perl -e 'my @dirs = grep { m|%{_prefix}/lib/perl5/site_perl/[\d\.]*$| } @INC; print "$dirs[0]\n" '`/%{_arch}-linux/auto/Msql-Mysql-modules/
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/lib/perl5/site_perl/5.*/%{_arch}-linux/auto/Msql-Mysql-modules/.packlist
%{_prefix}/lib/perl5/site_perl/5.*/%{_arch}-linux/auto/DBD/mysql/mysql.so
%{_prefix}/lib/perl5/site_perl/5.*/%{_arch}-linux/auto/DBD/mysql/mysql.bs
%{_prefix}/lib/perl5/site_perl/5.*/%{_arch}-linux/DBD/mysql.pm
%{_prefix}/lib/perl5/man/man3
%{_prefix}/bin/dbimon

%changelog
* Tue Apr 04 2000 Franois Pons <fpons@mandrakesoft.com> 1.22_11-1mdk
- updated to 1.22.11.
- spec file clean.
- use of perl 5.6.0.

* Tue Dec 14 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- finish tidying files so it builds

* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- backdown to 1.19_14 to match MySQL_GPL
- replace i386-linux w/ %%{_arch}

* Thu Dec 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Adapt specfile for Linux-Mandrake

